%define name	twilight-src
%define version 0.2.01.cvs
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		The Twilight Project 
Packager:	The Twilight Project <twilight-devel@lists.sourceforge.net>
URL:		http://twilight.sf.net/
Source:		%{name}-%{version}.tar.gz
Group:		Amusements/Games
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	SDL >= 1.2.0
BuildPrereq:	SDL-devel >= 1.2.0
Summary:	First person 3D game - classic version

%description
Project Twilight is a game project based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
This package contains the classic version Project Twilight, which is
fully compatible with Id software's last official versions of Quake(R)
and QuakeWorld(R).

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.BSD NEWS README THANKS TODO
%{_prefix}/bin/twilight-nq
%{_prefix}/bin/twilight-qw
%{_prefix}/bin/twilight-qwsv

%changelog
* Tue Oct  2 2001 Mathieu Olivier <molivier@users.sourceforge.net>
- Changed summary and description to the ones used in the Debian package.
- Doc: added TODO, removed ChangeLog and INSTALL
- BuildRoot now uses "_tmppath"

* Thu Sep 13 2001 Mathieu Olivier <molivier@users.sourceforge.net>
- Creation
